﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace EditableComboWPF
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            var vm = new ViewModel();
            this.Combo.SetBinding(RadComboBox.ItemsSourceProperty, new Binding("Agencies")
            {
                Source = vm
            });
            Combo.DisplayMemberPath = "Name";
            
            //Combo.ItemsSource = vm.Agencies;
            //Combo.DisplayMemberPath = "Name";
        }

        private void RadButton_Click(object sender, RoutedEventArgs e)
        {
            var binding = BindingOperations.GetBindingExpression(Combo, RadComboBox.ItemsSourceProperty);
            if (binding == null)
            {
                MessageBox.Show("Null");
            }
            else
            {
                MessageBox.Show(binding.ToString());
            }
        }
    }
}
